New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Target framework cannot be set conditionally #764

Open
fhaag opened this Issue Jun 4, 2016 · 0 comments

Comments

Projects
None yet
1 participant
@fhaag

fhaag commented Jun 4, 2016

For most settings in the project properties, SharpDevelop offers a little button to indicate whether the setting is supposed to be globally valid, or specific to the platform, or specific to the configuration.

For the target platform setting, however, this button is missing, apparently at least since SharpDevelop 4.4. It still used to be there in SharpDevelop 3, as evidenced by a screenshot in an older blogpost.

As it stands, it is not possible to set up a project to target different frameworks/framework versions by simply switching the configuration. Can this option be added again?

(I had asked about this in the forum, but as there hasn't been any response in several months, I suppose this bug tracker is the best way to ask about the issue.)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment